// file: ary_cstr_1.cc
//

// isip include files
//
#include "array.h"

// method: constructor
//
// arguments: 
//  int_4 row: (input) the number of rows
//  int_4 ph: (input) the number of phones
//
// return: none
//
// this is the constructor for the pronunciations array class
//
Array::Array(int_4 row_a, int_4 ph_a) {

  // assign values
  //
  row_num_d = row_a;
  phone_num_d = ph_a;
  
  // allocate memory for phones
  //
  phones_d = new char_1*[phone_num_d];
  for (int_4 i = 0; i < phone_num_d; i++) {
    phones_d[i] = new char_1[MAX_PHONE_SIZE];
    strcpy ((char*)phones_d[i], "#");
  }
  
  // exit gracefully
  //
}
