// file: ary_phn_2.cc
//

// isip include files
//
#include "array.h"

// method: check_phone_cc
//
// arguments: 
//  int_4 ph: (input) the phone index
//  char_1* phone: (output) the phone to be checked
//
// return: a logical_1 to indicate success
//
// this method checks for a given phone
//
logical_1 Array::check_phone_cc(int_4 ph_a, char_1* phone_a) {
  
  // check the phoneme in the given position
  //
  if (strcmp ((char*)phones_d[ph_a], (char*)phone_a) != 0) {
    return (ISIP_FALSE);
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
