#!/usr/local/bin/wish -f
#

# File : main.tcl
#
# This file calls the functions and runs the demo for the 
# N-best pronunciations Boltzmann machine network program
#

# set the GUI source directory
#
set ISIP_PRON_DEMO "$env(ISIP_PRON)/gui/tcl"

# source files
#
source $ISIP_PRON_DEMO/globals.tcl
source $ISIP_PRON_DEMO/display.tcl
source $ISIP_PRON_DEMO/run_proc.tcl
source $ISIP_PRON_DEMO/readfile_proc.tcl
source $ISIP_PRON_DEMO/info_proc.tcl
source $ISIP_PRON_DEMO/quit_proc.tcl
source $ISIP_PRON_DEMO/draw_net_proc.tcl
source $ISIP_PRON_DEMO/clear_proc.tcl
source $ISIP_PRON_DEMO/play_proc.tcl
source $ISIP_PRON_DEMO/play_all_proc.tcl
source $ISIP_PRON_DEMO/audio_cfg_proc.tcl
source $ISIP_PRON_DEMO/parse_proc.tcl

#
# end of file
