// file: boltz_machine_constants.h
//
// declaration of the global constants used in the boltzmann machine
//

// make sure definitions are only made once
//
#ifndef __ISIP_BOLTZ_MACHINE_CONSTANTS
#define __ISIP_BOLTZ_MACHINE_CONSTANTS

// isip include files
//
#ifndef __ISIP_BOLTZ_CONSTANTS
#include <boltz_constants.h>
#endif

//-----------------------------------------------------------------------------
//
// general constants
//
//-----------------------------------------------------------------------------

// characters used to trigger filename expansion via a system call ---
// since this is expensive, we only want to do it when it is
// absolutely necessary
//
#define BM_ENV_DELIMITERS (char_1*)"$~(){}[]?"


// end of file
//
#endif
