// file: rebuild_constants.h
//
 
// make sure this file is only included once
//
#ifndef __ISIP_REBUILD_CONSTANTS
#define __ISIP_REBUILD_CONSTANTS
 
// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the help file
//
#define R_HELP_FILE "$ISIP_PRON/doc/rebuild.help"

// commandline parameters
//
#define R_CONTEXT_OPT (char_1*)"-context"
#define R_NBEST_OPT (char_1*)"-nbest"
#define R_MAX_OPT (char_1*)"-max"
#define R_INPUT_OPT (char_1*)"-input"
#define R_OUTPUT_OPT (char_1*)"-output"

// numerical constants
//
#define R_MAX_WORD (int_4)32
#define R_MAX_PHONE (int_4)3
#define R_MAX_STRINGS (int_4)8192

// end of file
//
#endif
