// file: ary_io_0.cc
//

// isip include files
//
#include "array.h"

// method: print_array_cc
//
// arguments: 
//  FILE* outfile: (input) the output file pointer
//
// return: a logical_1 to indicate success
//
// this method prints the phone array to file
//
logical_1 Array::print_array_cc(FILE* outfile_a) {
  
  // print the array to the output file
  //
  for (int_4 i = 0; i < phone_num_d; i++) {
    fprintf (outfile_a, "%s ", phones_d[i]);
  }
  fprintf (outfile_a, "\n");

  // exit gracefully
  //
  return ISIP_TRUE;
}
